html {
    scroll-behavior: smooth;
}

::selection {
    background-color: #C7E0F0;
    color: #ffffff;
}

#navbar-a {
    height: 100px;
    top: 0%;
    width: 100vw;
    display: flex;
    position: fixed;
    background-color: rgb(255, 255, 255);
    box-sizing: border-box;
    filter: drop-shadow(0 0.2rem 0.25rem rgba(0, 0, 0, 0.2));
    align-items: center;
    font-size: 20px;
    text-transform: uppercase;
}

#headername {
    font-size: x-large;
    font-weight: bold;
    color: #487997;
    margin: 0 100px;
}

#navbar-a-a {
    color: #6f6f6f;
    display: flex;
    width: 100%;
    justify-content: right;
    height: inherit;
    margin: 0 10%;
}

#navbar-a-a-a {
    align-items: center;
    display: flex;
}

#navbar-a-a-a>*:hover {
    transition: 0.3s;
    color: #C7E0F0;
}

#navbar-a-a-a>* {
    margin: 0 20px;
    padding: 40px 0;
}

#midbody-a {
    margin: 100px 0;
    display: flex;
    /* ------height to chnage------ */
}

#midbody-a-a-a span::selection {
    color: black;
}

#midbody-a-a-a {
    width: 50%;
    margin: 150px 100px 0 0;
    float: right;
}


#midbody-a-a-a p:nth-child(1) {
    font-weight: bold;
    font-size: 84px;
}

#midbody-a-a-a p:nth-child(2) {
    margin-top: 10px;
    font-size: 32px;
}

#midbody-a-a-a span {
    color: #C7E0F0;
}

#midbody-a-a-b {
    width: 60vw;
    margin: 100px 0 0 150px;
    float: left;
    font-size: 32px;
}

#midbody-a-a-b span {
    font-size: 60px;
    font-weight: bold;
}

#midbody-a-a-b p {
    display: inline;
    height: 100px;
    align-items: center;
    width: 1000px;
    color: #212E52;
}

#midbody-a-a-b button {
    justify-content: right;
    background: linear-gradient(to right, #ffffff00, #1253A3);
    color: white;
    font-size: 150%;
    border-radius: 0 25px 25px 0;
    border-style: none;
    width: 800px;
    height: 175px;
    margin: 10px 0 0 50px;
}

#midbody-a-a-b button:hover {
    transition: 1s;
    background: linear-gradient(to right, #ffffff00, #487997);
    color: #212E52;
    cursor: pointer;
}

#midbody-b {
    background-color: #C7E0F0;
    display: flex;
    flex-direction: column;

}

#midbody-b h2 {
    color: #487997;
    font-size: 50px;
    display: flex;
    justify-content: center;
    padding: 50px;
    background-color: #C7E0F0;
}

#midbody-b p {
    font-size: 32px;
    color: #305d79;
}

#midbody-b p:nth-of-type(1) {
    margin: 5% 10%;
}

#midbody-b ul {
    display: flex;
    font-size: 36px;
    background-color: #212E52;
    color: #fff;
    justify-content: center;
}

#midbody-b li {
    margin: 20px 20px;
    padding: 50px;
    font-size: large;
    display: flex;
    align-items: center;
}

#midbody-b object {
    height: 100px;
    margin-right: 20px;
}

#midbody-c {
    display: flex;
    justify-content: center;
}

#midbody-c-a {
    display: flex;
    flex-direction: column;
    width: 80%;
    background-color: #C7E0F0;
    overflow: hidden;
    box-shadow: 10px 10px 100px 5px #305d79;
    border-left: 3px solid #212E52;
    border-right: 3px solid #212E52;
}

#midbody-c-a-a {
    display: flex;
    flex-direction: column;
    margin-left: 300px;
    background-color: white;
    margin-bottom: 100px;
    margin-top: 100px;
    border-radius: 25px 0 0 25px;
}

#midbody-c-a-a,
#midbody-c-a-b {
    box-shadow: 10px 10px 100px 5px #305d79;
}

#midbody-c-a-a,
#midbody-c-a-b h3 {
    padding: 50px 0 0 50px;
    color: #305d79;
    font-size: 40px;
}

#midbody-c-a-a p,
#midbody-c-a-b p {
    font-size: x-large;
    color: #000;
    font-size: 28px;
    padding: 25px 25px 100px 25px;
    line-height: 1.5;
}

#midbody-c-a-b {
    display: flex;
    flex-direction: column;
    margin-right: 300px;
    justify-content: right;
    background-color: white;
    border-radius: 0 25px 25px 0;
    margin-bottom: 100px;
}

#midbody-d {
    background-color: #212E52;
}

#midbody-d ul {
    display: flex;
    height: 500px;
    text-align: center;
    align-items: center;
}

#midbody-d li {
    padding: 0 20px;
    margin: 50px 100px;
    color: #fff;
    font-style: italic;
    display: flex;
    flex-direction: column;
    font-size: large;
}

#contact_form {
    display: flex;
    justify-content: center;

}

#contact_form-a {
    margin: 50px;
    display: flex;
    flex-direction: column;
    box-shadow: 10px 10px 50px 2px #305d79;
    width: 25%;

}

#contact_form-a p {
    display: flex;
    padding: 40px 0 20px 40px;
    font-size: 32px;
    color: #6f6f6f;
    font-weight: lighter;
}

#contact_form-a form {
    padding: 50px 30px 75px;
    display: flex;
    flex-direction: column;
}

::placeholder {
    color: #6f6f6f;
    text-indent: 10%;

}

#contact_form-a div {
    display: flex;
}

#name,
#number {
    display: flex;
    flex: 1;
    border: 1px solid rgb(200, 200, 200);
    height: 40px;
    padding-left: 10px;
}

#number {
    margin-left: 10px;
}

/* Num field spinner remover */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

#submit,
#e-mail,
#subject {
    width: 100%;
    margin-top: 10px;
    box-sizing: border-box;
    border: 1px solid rgb(200, 200, 200);
    height: 40px;
    padding-left: 10px;
}

#message {
    border: 1px solid rgb(200, 200, 200);
    width: 100%;
    margin-top: 10px;
    box-sizing: border-box;
    padding-left: 10px;
    padding-top: 10px;
    font-family: 'Roboto', sans-serif;
    font-size: small;
}

#submit {
    background-color: #305d79;
    color: #fff;
    border: none;
}

#contact_form-b {
    display: flex;
    flex-direction: column;
    padding: 40px 0 20px 40px;
    width: 25%;
    height: inherit;
    margin: 50px 50px 50px -50px;
    background: linear-gradient(130deg, #212e52, #305d79);
}

#contact_form-b p {
    color: #c4d3db;
}

#contact_form-b p:nth-of-type(1) {
    font-size: 48px;
    padding-bottom: 10px;
}

#contact_form-b p:nth-of-type(2) {
    font-size: 24px;
    padding-bottom: 10px;
    padding-right: 20px;
}


#contact_form-b p:nth-of-type(n+3) {
    font-size: 18px;
    padding: 20px 20px 20px 0px;
}

footer {
    display: block;
    position: relative;
    background-color: #1253A3;
    position: absolute;
    width: 100%;
    height: 300px;
    filter: drop-shadow(0.2rem 0 0.25rem rgba(0, 0, 0, 0.2));
}

.footer-a {
    display: flex;
    width: 100%;
    height: auto;
    position: static;
    color: #C7E0F0;
}

#footer-a-b {
    position: absolute;
    top: 0;
    margin: 20px 0 100px;
    height: auto;
    display: flex;
    width: 50%;
    justify-content: space-around;
}

#footer-a-b ul {
    height: 100%;
    display: flex;
    flex-direction: column;
    margin: 0 10px;
    text-transform: uppercase;
    text-align: center;
}

#footer-a-b ul {
    justify-content: center;
}

.separator {
    display: block;
    width: 1px;
    color: #C7E0F0;
    height: 1px;
    background: black;
    background-image: radial-gradient(ellipse 100px 100px at 50% 50%, #487997, #C7E0F0)
}

#footer-a-b li {
    padding: 5px 0;
}

#footer-a-b li:hover {
    color: #ffffff;
    font-weight: bold;
}


footer div {
    position: absolute;
    bottom: 0;
    width: 100%;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    height: 25%;
}

footer div p {
    padding: 30px 10px;
    color: #C7E0F0;
}

.linker,
a {
    text-decoration: none;
    color: inherit;
    outline: none;
}

:target {
    scroll-margin-top: 100px;
}
